Security update for axis

SUSE Security Update: Security update for axis
Announcement ID: SUSE-SU-2019:1382-1
Rating: moderate
References: #1134598
Cross-References: CVE-2012-5784 CVE-2014-3596
Affected Products:
  • SUSE Linux Enterprise Server 12-SP4
  • SUSE Linux Enterprise Server 12-SP3

An update that fixes two vulnerabilities is now available.

Description:

This update for axis fixes the following issues:
Security issue fixed:

  • CVE-2012-5784, CVE-2014-3596: Fixed missing connection hostname check against X.509 certificate name (bsc#1134598).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server 12-SP4:
    zypper in -t patch SUSE-SLE-SERVER-12-SP4-2019-1382=1
  • SUSE Linux Enterprise Server 12-SP3:
    zypper in -t patch SUSE-SLE-SERVER-12-SP3-2019-1382=1

Package List:

  • SUSE Linux Enterprise Server 12-SP4 (noarch):
    • axis-1.4-290.6.1
  • SUSE Linux Enterprise Server 12-SP3 (noarch):
    • axis-1.4-290.6.1

References: